Update Email
curl --request PATCH \
--url https://api.example.com/api/v1/driver/profile/email \
--header 'Content-Type: application/json' \
--data '
{
"otpId": "0197aa0b-5c2c-79fd-8f62-b5f9b3c5d5cb",
"code": "482910",
"email": "driver@example.com"
}
'import requests
url = "https://api.example.com/api/v1/driver/profile/email"
payload = {
"otpId": "0197aa0b-5c2c-79fd-8f62-b5f9b3c5d5cb",
"code": "482910",
"email": "driver@example.com"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
otpId: '0197aa0b-5c2c-79fd-8f62-b5f9b3c5d5cb',
code: '482910',
email: 'driver@example.com'
})
};
fetch('https://api.example.com/api/v1/driver/profile/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"googleProviderId": "<string>",
"scope": {
"permissionIds": [
"<string>"
],
"organization": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"role": {
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"name": "<string>",
"email": "<string>",
"emailVerified": true,
"avatar": "<string>",
"document": "<string>",
"documentType": "CPF",
"birthDate": "2023-12-25",
"phoneIso": "<string>",
"phoneDdi": "<string>",
"phoneNumber": "<string>",
"phoneVerified": true,
"status": "PENDING",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "Bad Request Error",
"errors": [
{
"code": "invalid_type",
"message": "Required",
"path": "name"
}
]
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}Profile
Update Email
Updates email using a RESET_EMAIL OTP.
PATCH
/
api
/
v1
/
driver
/
profile
/
email
Update Email
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation.
Body
application/json
Response
OK
Visão consolidada do usuário autenticado — identidade, dados de passageiro e escopo de acesso
Identificador do usuário
ID do provedor Google OAuth
Escopo de organização, role e permissões
Show child attributes
Show child attributes
Nome completo
Email verificado
Referência ao avatar
Número do documento
Tipo do documento
Available options:
CPF, CNPJ, RG Data de nascimento
Código ISO do país do telefone
DDI do telefone
Número do telefone
Telefone verificado
Status da conta
Available options:
PENDING, ACTIVE, BLOCKED Usuário que criou o registro, quando aplicável
Data de criação
Usuário que fez a última atualização, quando aplicável
Data da última atualização